<?php

class ControllerListaEscolarListaEscolar extends Controller {
    function index() {
        $this->load->dmodel( 'listaescolar/listaescolar' );
        $language = $this->language->load( 'listaescolar/listaescolar' );
        $this->load->dmodel('tool/image');
        $this->data = array_merge($this->data, $language);

        $ecm_school_id = isset($this->request->get['school_id']) ? $this->request->get['school_id'] : '';
        $escolas = $this->dmodel_listaescolar_listaescolar->getEscolas($ecm_school_id);

        $this->data['escolas'] = array();
        if ($escolas) {
            foreach ($escolas as $key => $escola) {
                $listas = $this->dmodel_listaescolar_listaescolar->getListas($escola['id']);

                $escola_endereco = $escola['endereco'];
                // se não tem rua, não mostra o endereço
                if (empty(trim(substr($escola_endereco, 0, strpos($escola_endereco, ','))))){
                    $escola_endereco = false;
                }

                $this->data['escolas'][] = array(
                    'id' => $escola['id'],
                    'id_ecommerce' => $escola['id_ecommerce'],
                    'descricao' => $escola['descricao'],
                    'endereco' => $escola_endereco,
                    'logo' => $this->dmodel_tool_image->resize($escola['logo'], 100, 100),
                    'listas' => $listas
                );
            }
        }

        if (!$this->config->get('listaescolar_status')) {
			    $this->redirect( $this->url->link( 'common/home', '', 'SSL' ) );
        }


        if (isset($this->session->data['lista_escolar_selecionada'])){
            $this->data['infos_lista_selecionada'] = $this->session->data['lista_escolar_selecionada'];
        }

        if (isset($this->request->get['school_id'])){
            $this->data['escola_selecionada'] = $this->request->get['school_id'];
        }else{
            $this->data['escola_selecionada'] = 0;
        }


        $this->document->setTitle( $this->language->get( 'heading_title' ) );
        $this->data['breadcrumbs'] 	 = array(  );
        $this->data['breadcrumbs'][] = array( 'text' => $this->language->get( 'text_home' ), 'href' => $this->url->link( 'common/home' ), 'separator' => false );
        $this->data['breadcrumbs'][] = array( 'text' => $this->language->get( 'heading_title' ), 'href' => $this->url->link( 'listaescolar/listaescolar' ), 'separator' => $this->language->get( 'text_separator' ) );

        $this->breadcrumbs->setbreadcumbs($this->data['breadcrumbs']);
        $this->data['link_lista_produtos'] = $this->url->link( 'listaescolar/listaescolar_produtos', '', 'SSL');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/listaescolar/listaescolar.twig')) {
			$this->template = $this->config->get('config_template') . '/template/listaescolar/listaescolar.twig';
		} else {
			$this->template = 'default/template/listaescolar/listaescolar.twig';
		}
        //$data
  		$this->children = array(
  			'common/breadcrumbs',
  			'common/column_left',
  			'common/column_right',
  			'common/content_top',
  			'common/content_bottom',
  			'common/footer',
  			'common/header'
  		);

      $this->document->addScriptApp(array(
        'catalog/view/theme/appmobile/js/page.listaescolar.js',
      ));

      $this->document->addScript(array(
        'catalog/view/theme/vista/js/lista.escolar.js'
      ));

        $this->response->setOutput($this->render());
    }
}
